org.apache.ignite.internal.processors.rest.client.message

## Enum GridClientCacheQueryRequest.GridQueryOperation

- java.lang.Object
- - java.lang.Enum<GridClientCacheQueryRequest.GridQueryOperation>
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientCacheQueryRequest.GridQueryOperation

All Implemented Interfaces:
  Serializable, Comparable<GridClientCacheQueryRequest.GridQueryOperation>

Enclosing class:
  GridClientCacheQueryRequest

    public static enum GridClientCacheQueryRequest.GridQueryOperation
    extends Enum<GridClientCacheQueryRequest.GridQueryOperation>

Available query operations.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXECUTE` First time query execution.
`FETCH` Fetch next data page.
`REBUILD_INDEXES` Rebuild one or all indexes.

### Method Summary

Methods
`static GridClientCacheQueryRequest.GridQueryOperation` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static GridClientCacheQueryRequest.GridQueryOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridClientCacheQueryRequest.GridQueryOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXECUTE

    public static final GridClientCacheQueryRequest.GridQueryOperation EXECUTE

First time query execution. Will assign query ID for executed query.

#### FETCH

    public static final GridClientCacheQueryRequest.GridQueryOperation FETCH

Fetch next data page.

#### REBUILD_INDEXES

    public static final GridClientCacheQueryRequest.GridQueryOperation REBUILD_INDEXES

Rebuild one or all indexes.

### Method Detail

#### values

    public static GridClientCacheQueryRequest.GridQueryOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridClientCacheQueryRequest.GridQueryOperation c : GridClientCacheQueryRequest.GridQueryOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridClientCacheQueryRequest.GridQueryOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridClientCacheQueryRequest.GridQueryOperation fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015